textures/nemesis/ame_powder
{
    qer_editorImage textures/nemesis/powderpeak.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sunExt .934 .835 1 90 -107 11 2 16
    q3map_LightMapFilterRadius 0 8
    q3map_skylight 50 4
    nopicmip
    skyparms textures/nemesis/powderpeak - -
    {
        map textures/nemesis/starfield_clouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 5 5
        tcMod scroll 0.02 0.02
    }
}

textures/nemesis/glass
{
    qer_editorimage textures/nemesis/tx_window_pane.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm alphashadow
    surfaceparm lightfilter
    qer_trans 0.7
    {
      map textures/nemesis/tx_window_pane.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      depthWrite
      alphaGen const 0.4
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc filter
      depthFunc equal
   }   
}


textures/nemesis/gloss_tx_mh_wall_06
{
    qer_editorimage textures/nemesis/tx_mh_wall_06.tga
    {
        map $lightmap
    }
    {
        map textures/nemesis/tx_mh_wall_06.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nemesis/tx_bm_ice_01.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcGen  environment
    }
}

textures/nemesis/gloss_ice
{
    qer_editorimage textures/nemesis/tx_mh_wall_06.tga
    {
        map $lightmap
    }
    {
        map textures/nemesis/tx_mh_wall_06.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nemesis/tx_bm_ice_01.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcGen  environment
    }
}

textures/nemesis/clip_slick
{
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm trans
    surfaceparm slick
    surfaceparm playerclip
}

textures/nemesis/flag1
{
    qer_editorimage textures/nemesis/tx_skyrim_rug_09.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    deformVertexes wave 256 sin 1 0.25 0.5 0.33
    cull none
    {
        map textures/nemesis/tx_skyrim_rug_09.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/flag2
{
    qer_editorimage textures/nemesis/pc_tx_dethagrad_flag.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    deformVertexes wave 256 sin 1 0.25 0.5 0.33
    cull none
    {
        map textures/nemesis/pc_tx_dethagrad_flag.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/lantern_y_8k
{
    qer_editorimage textures/nemesis/tr_m_lantern_p_yellow_02.tga
    q3map_surfacelight 8000
    q3map_shadeangle 46
    q3map_lightimage textures/nemesis/flame6.tga
    implicitMap textures/nemesis/tr_m_lantern_p_yellow_02.tga
}


textures/nemesis/lantern_blue
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_01.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_01.tga
    implicitMap textures/nemesis/tx_ashl_lantern_01.tga
}

textures/nemesis/lantern_orange
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_02.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_02.tga
    implicitMap textures/nemesis/tx_ashl_lantern_02.tga
}

textures/nemesis/lantern_red
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_03.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_03.tga
    implicitMap textures/nemesis/tx_ashl_lantern_03.tga
}

textures/nemesis/lantern_purple
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_04.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_04.tga
    implicitMap textures/nemesis/tx_ashl_lantern_04.tga
}

textures/nemesis/lantern_yellow
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_05.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_05.tga
    implicitMap textures/nemesis/tx_ashl_lantern_05.tga
}

textures/nemesis/lantern_green
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_06.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_06.tga
    implicitMap textures/nemesis/tx_ashl_lantern_06.tga
}

textures/nemesis/lantern_dark_blue
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_07.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_07.tga
    implicitMap textures/nemesis/tx_ashl_lantern_07.tga
}

textures/nemesis/lantern_pink
{
    qer_editorimage textures/nemesis/tx_ashl_lantern_08.tga
    q3map_surfacelight 8000
    surfaceparm nonsolid
    q3map_lightimage textures/nemesis/tx_ashl_lantern_08.tga
    implicitMap textures/nemesis/tx_ashl_lantern_08.tga
}

textures/nemesis/tx_rustedmetal00_nonsolid
{
    qer_editorimage textures/nemesis/tx_rustedmetal00.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/nemesis/tx_rustedmetal00.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/nemesis/moss_1
{
    qer_editorimage textures/nemesis/tx_bc_moss_01.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nonsolid
    deformVertexes wave 256 sin 1 0.75 0.5 0.4
    cull none
    {
        map textures/nemesis/tx_bc_moss_01.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/moss_2
{
    qer_editorimage textures/nemesis/tx_bc_moss_02.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nonsolid
    deformVertexes wave 256 sin 1 0.75 0.5 0.4
    cull none
    {
        map textures/nemesis/tx_bc_moss_02.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/moss_3
{
    qer_editorimage textures/nemesis/tx_bc_moss_03.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nonsolid
    deformVertexes wave 256 sin 1 0.75 0.5 0.4
    cull none
    {
        map textures/nemesis/tx_bc_moss_03.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/ivy_1
{
    qer_editorimage textures/nemesis/tx_ivy_01.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nonsolid
    deformVertexes wave 256 sin 1 0.75 0.5 0.4
    cull none
    {
        map textures/nemesis/tx_ivy_01.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/ivy_2
{
    qer_editorimage textures/nemesis/tx_ivy_02.tga
    qer_alphaFunc gequal 0.5
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nonsolid
    deformVertexes wave 256 sin 1 0.75 0.5 0.4
    cull none
    {
        map textures/nemesis/tx_ivy_02.tga
        alphaFunc GE128
        rgbGen identity
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        depthFunc equal
    }
}

textures/nemesis/jump1
{
    qer_editorimage textures/nemesis/jump1.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump1.tga
}

textures/nemesis/jump2
{
    qer_editorimage textures/nemesis/jump2.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump2.tga
}

textures/nemesis/jump3
{
    qer_editorimage textures/nemesis/jump3.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump3.tga
}

textures/nemesis/jump4
{
    qer_editorimage textures/nemesis/jump4.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump4.tga
}

textures/nemesis/jump5
{
    qer_editorimage textures/nemesis/jump5.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump5.tga
}

textures/nemesis/jump6
{
    qer_editorimage textures/nemesis/jump6.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump6.tga
}

textures/nemesis/jump7
{
    qer_editorimage textures/nemesis/jump7.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump7.tga
}

textures/nemesis/jump8
{
    qer_editorimage textures/nemesis/jump8.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump8.tga
}

textures/nemesis/jump9
{
    qer_editorimage textures/nemesis/jump9.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    implicitMap textures/nemesis/jump9.tga
}

textures/nemesis/madeby
{
    qer_alphaFunc gequal 0.5
    cull disable
    nomipmaps
    nopicmip
    surfaceparm alphashadow
    surfaceparm pointlight
    surfaceparm trans
    implicitMask -
}

textures/nemesis/tx_window_diamond_a
{
   qer_editorimage textures/nemesis/tx_window_diamond_01_a.tga
   surfaceparm alphashadow
   surfaceparm trans
   cull none
   {
      map textures/nemesis/tx_window_diamond_01_a.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      depthWrite
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc filter
      depthFunc equal
   }   
}

textures/nemesis/hf_wood_webbing_01
{
   qer_editorimage textures/nemesis/hf_wood_webbing_01.tga
   surfaceparm trans
   cull disable
   qer_alphafunc greater 0.5
   {
      map textures/nemesis/hf_wood_webbing_01.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      depthWrite
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc filter
      depthFunc equal
   }   
}

textures/nemesis/tr_savior_chain02
{
   qer_editorimage textures/nemesis/tr_savior_chain02.tga
   surfaceparm trans
   cull disable
   qer_alphafunc greater 0.5
   {
      map textures/nemesis/tr_savior_chain02.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      depthWrite
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc filter
      depthFunc equal
   }   
}

textures/nemesis/nodelay_slick
{
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm trans
    surfaceparm monsterslicknorth
    surfaceparm slick
}

textures/nemesis/overbounce_slick
{
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm trans
    surfaceparm slick
    surfaceparm monsterslicksouth
}


// terrain
textures/nemesis/terrain_0
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}

textures/nemesis/terrain_1
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01b.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}

textures/nemesis/terrain_2
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01a.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}

textures/nemesis/terrain_3
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_04.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}

textures/nemesis/terrain_4
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rocky_dirt_05.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}

textures/nemesis/terrain_5
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_dirt_03.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}

textures/nemesis/terrain_0to1
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rock_snow_01b.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_0to2
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rock_snow_01a.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_0to3
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rock_04.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_0to4
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rocky_dirt_05.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_0to5
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_dirt_03.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_1to2
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01b.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rock_snow_01a.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_1to3
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01b.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rock_04.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_1to4
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01b.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rocky_dirt_05.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_1to5
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01b.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_dirt_03.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_2to3
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01a.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rock_04.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_2to4
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01a.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rocky_dirt_05.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_2to5
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_snow_01a.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_dirt_03.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_3to4
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_04.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_rocky_dirt_05.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_3to5
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rock_04.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_dirt_03.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain_4to5
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_rocky_dirt_05.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
    }
    {
        map textures/nemesis/tx_skyrim_dirt_03.tga
        rgbGen vertex
        alphaGen vertex
        tcmod scale 0.040 0.040
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/nemesis/terrain.vertex
{
    surfaceparm nolightmap
    q3map_novertexshadows
    q3map_forcesunlight
    {
        map textures/nemesis/tx_skyrim_snow_02.tga
        rgbGen vertex
        tcmod scale 0.040 0.040
    }
}
